Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040463
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2019-03-26 17:142019-06-17 13:03
ReporterSandrahuguetView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisioneb4807b14aa9
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040463: UI broken when create a new row and before save clear the filter grid

DescriptionUI broken when create a new row and before save clear the filter grid
Steps To ReproduceAs The White Valley Group Admin role:
- Go to Product Characteristic window
- Filter grid by 'ra' in Name column
- Insert new row name: test , press enter on the keyboard
- Clear the filter, clicking in the funnel icon

Notice that the UI is broken. All rows and grid row menu are not shown.
TagsNo tags attached.
Attached Filespng file icon ui.png [^] (45,038 bytes) 2019-03-26 17:14

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0022625 closedAugustoMauch In Purchase order, auto save functionality not working in grid view at header tab. 
related to defect 00250283.0MP30 closedshankarb Default value applied again after updating a numeric field with a trigger 
related to design defect 0041102 newplatform Changes in newly created record can be lost if a DS call to filter the grid is triggered before saving the record 

-  Notes
(0112583)
hgbot (developer)
2019-06-11 17:26

Repository: erp/devel/pi
Changeset: eb4807b14aa961cd2e7e94fb0788006b0b579f7a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jun 11 17:05:05 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/eb4807b14aa961cd2e7e94fb0788006b0b579f7a [^]

fixes bug 40463: UI broken after creating a new row and filtering before saving

  Fixed the issue by saving the record properly before performing the filter. This logic was already implemented but the edited record was not being properly completed before saving. To fix this problem we force the closing of the inline editor before filtering. Note that something similar is done when editing a new record and without saving it, another record is clicked (See handleRecordSelection function of OBViewGrid).

  Together with this, an additional change has been applied to the "editComplete" function. In some cases it is necessary to force an update of the focus cell value (See[1]). When setting that value, we are now directly invoking "this.getRecord()" instead of using the value retrieved at the top of the function. This is done to prevent setting a wrong value if the record values change in the middle of the execution of the "editComplete" function.

  [1] https://issues.openbravo.com/view.php?id=25028 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0112632)
hudsonbot (developer)
2019-06-12 13:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e330da816783 [^]
Maturity status: Test
(0112782)
alostale (developer)
2019-06-14 09:50

tested + reviewed

- Issue History
Date Modified Username Field Change
2019-03-26 17:14 Sandrahuguet New Issue
2019-03-26 17:14 Sandrahuguet Assigned To => platform
2019-03-26 17:14 Sandrahuguet File Added: ui.png
2019-03-26 17:14 Sandrahuguet Modules => Core
2019-03-26 17:14 Sandrahuguet Triggers an Emergency Pack => No
2019-03-26 17:15 Sandrahuguet Steps to Reproduce Updated View Revisions
2019-05-29 18:02 caristu Relationship added related to 0022625
2019-05-30 08:42 caristu Assigned To platform => caristu
2019-06-10 16:36 caristu Status new => acknowledged
2019-06-11 13:18 caristu Relationship added related to 0025028
2019-06-11 17:26 hgbot Checkin
2019-06-11 17:26 hgbot Note Added: 0112583
2019-06-11 17:26 hgbot Status acknowledged => resolved
2019-06-11 17:26 hgbot Resolution open => fixed
2019-06-11 17:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/eb4807b14aa961cd2e7e94fb0788006b0b579f7a [^]
2019-06-11 17:26 caristu Review Assigned To => alostale
2019-06-12 13:00 hudsonbot Checkin
2019-06-12 13:00 hudsonbot Note Added: 0112632
2019-06-14 09:50 alostale Note Added: 0112782
2019-06-14 09:50 alostale Status resolved => closed
2019-06-14 09:50 alostale Fixed in Version => 3.0PR19Q3
2019-06-17 13:03 caristu Issue cloned 0041102
2019-06-17 13:03 caristu Relationship added related to 0041102


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker